function fig4()
% Figures for DCP Bins, M4 (for now)
close all
% original
im0 = imread('TestImages\hit002\20100628_183913.avi_px.avi_smallsz_.jpg');
im1 = imread('TestImages\hit002\20100628_183913.avi_px.avi_smallsz_glg.jpg');

imshow(im0);
%savetopdf('../fig4a');
figure;
imshow(im1);
%savetopdf('../fig4c');
im0 = im2double(im0);
im1 = im2double(im1);

dcp0 = DCP(im0);
dcp1 = DCP(im1);

figure;
imshow(dcp0);
%savetopdf('../fig4b');
figure;
imshow(dcp1);
%savetopdf('../fig4d');

[h0 x0] = hist(dcp0(:), 256);
[h1 x1] = hist(dcp1(:), 256);

% subplot(2,1,1);
% bar(x0, h0/sum(h0), 'k'); ylabel('Count')
% xlim([0 1])
% subplot(2,1,2);
% bar(x1, h1/sum(h1), 'k'); xlabel('Value'); ylabel('Count')
% xlim([0 1])

figure(4);
plot(x0, cumsum(h0)/sum(h0), 'r-', ...
        x1, cumsum(h1)/sum(h1), 'b-', 'LineWidth', 2);
    
 legend('Original Image', 'Enhanced Image', 'Location', 'SouthEast');
 set(gca, 'FontSize', 16, 'FontName', 'Times')
 xlabel('Pixel Value');  set(gca, 'FontSize', 16, 'FontName', 'Times')
 ylabel('CDF of DCP');  set(gca, 'FontSize', 16, 'FontName', 'Times')
%savetopdf('../fig4e');
end

function thetaD = DCP(im)
im = im2double(im);
thetaD = imerode( min(im,[],3), ones(15) );
end

function savetopdf(rootname)
    %imshow(data(index).im);
    print('-depsc', '-r300', [rootname, '.eps']);
    if( system(['epstopdf ', rootname, '.eps']) )
        error('Error in calling epstopdf');
    else
        fprintf('Saved image to %s.pdf\n', rootname);
    end
end








