function fig6()
close all

funIstd =  @(block_struct) std(block_struct.data(:));
sz = 25;
im0 = imread('TestImages\hit002\20100628_183913.avi_px.avi_smallsz_.jpg');
im1 = imread('TestImages\hit002\20100628_183913.avi_px.avi_smallsz_glg.jpg');
im0 = im2double(im0);
im1 = im2double(im1);

Istd0 = blockproc(rgb2gray(im0), [sz sz], funIstd );
Istd1 = blockproc(rgb2gray(im1), [sz sz], funIstd );

max_value = max([Istd0(:); Istd1(:)]);

figure;
imagesc(Istd0, [0 max_value]); axis image; colormap gray
xlabel('(a)');
%savetopdf('..\fig6a');
figure;
imagesc(Istd1, [0 max_value]), axis image; colormap gray
xlabel('(b)');
%savetopdf('..\fig6b');

fprintf('Size of kernal is %d x %d\n', sz, sz);
fprintf('Foggy image: \t\t M6 = %0.3f\n', mean(Istd0(:)));
fprintf('Defogged image: \t M6 = %0.3f\n', mean(Istd1(:)));
end

function savetopdf(rootname)
    %imshow(data(index).im);
    print('-depsc', '-r300', [rootname, '.eps']);
    if( system(['epstopdf ', rootname, '.eps']) )
        error('Error in calling epstopdf');
    else
        fprintf('Saved image to %s.pdf\n', rootname);
    end
end