function fig7a( resultsCEM_ISCAS, resultsCEM_Diff )
addpath Tools\export_fig
%% ISCAS vs. Diff
figure;
aucISCAS = auroc(resultsCEM_ISCAS.tptest_mean', resultsCEM_ISCAS.fptest_mean');
aucDiff = auroc(resultsCEM_Diff.tptest_mean', resultsCEM_Diff.fptest_mean');

Helper(resultsCEM_ISCAS, resultsCEM_Diff, {'CEM_p train', 'CEM_p test', 'CEM_h_c train', 'CEM_h_c test'});
%export_fig '../fig7a.pdf' -native -painters

% %% All methods with test ROC
% figure(2);
% plot(resultsCEM_ISCAS.fptest_mean, resultsCEM_ISCAS.tptest_mean, 'k:', 'LineWidth', 2); hold on;
% plot(resultsCEM_Diff.fptest_mean, resultsCEM_Diff.tptest_mean, 'r-', 'LineWidth', 2);
% %legend('ISCAS', 'Diff', 'Stack', 'Location', 'SouthEast')
% leg_str = { ['CEM_p AUC = ', num2str(aucISCAS, '%0.2f')], ...
%             ['CEM_h_c AUC  = ', num2str(aucDiff, '%0.2f')] };
% legend(leg_str, 'Location', 'SouthEast');
% set(gca, 'fontsize' , 12);
% xlabel('False Positive Rate' , 'fontsize' , 12 , 'fontweight' , 'bold')
% ylabel('True Positive Rate' , 'fontsize' , 12 , 'fontweight' , 'bold')
% axis([0.05, 0.6 , 0.7 , 1])
% set(gcf, 'Color', 'w');
% grid on
% export_fig '../figxx9b.pdf' -native -painters

end

function Helper(r1, r2, leg_str)
hold on
plot(r1.fptrain_mean, r1.tptrain_mean, 'k--', 'LineWidth', 2);
plot(r1.fptest_mean, r1.tptest_mean, 'r--', 'LineWidth', 2);
plot(r2.fptrain_mean, r2.tptrain_mean, 'k-', 'LineWidth', 2);
plot(r2.fptest_mean, r2.tptest_mean, 'r-', 'LineWidth', 2);
axis([0, 0.6 , 0.7 , 1.001])
legend(leg_str, 'Location', 'SouthEast');
set(gca, 'fontsize' , 12);
xlabel('False Positive Rate' , 'fontsize' , 12 , 'fontweight' , 'bold')
ylabel('True Positive Rate' , 'fontsize' , 12 , 'fontweight' , 'bold')
set(gcf, 'Color', 'w'); % Set background to white
grid on;
end