function fig7b( resultsCEM_ISCAS, resultsCEM_Diff_HVS, resultsCEM_Diff_CEF, resultsCEM_Diff )
addpath Tools\export_fig
%% CEM_p vs. Diff
% figure(3);
aucISCAS = auroc(resultsCEM_ISCAS.tptest_mean', resultsCEM_ISCAS.fptest_mean');
aucDiffHVS = auroc(resultsCEM_Diff_HVS.tptest_mean', resultsCEM_Diff_HVS.fptest_mean');
% 
% Helper(resultsCEM_ISCAS, resultsCEM_Diff_HVS, {'CEM_p train', 'CEM_p test', 'CEM_h train', 'CEM_h test'});
% export_fig '../figxx10a.pdf' -native -painters
% 
% %% CEM_p vs. Stack
% figure(4);
aucDiffCEF = auroc(resultsCEM_Diff_CEF.tptest_mean', resultsCEM_Diff_CEF.fptest_mean');
% Helper(resultsCEM_ISCAS, resultsCEM_Diff_CEF, {'CEM_p train', 'CEM_p test', 'CEM_c train', 'CEM_c test'});
% export_fig '../figxx10b.pdf' -native -painters


%% All methods with test ROC
figure(9);
aucDiff = auroc(resultsCEM_Diff.tptest_mean', resultsCEM_Diff.fptest_mean');
plot(resultsCEM_ISCAS.fptest_mean, resultsCEM_ISCAS.tptest_mean, 'k:', 'LineWidth', 2); hold on;
plot(resultsCEM_Diff_HVS.fptest_mean, resultsCEM_Diff_HVS.tptest_mean, 'r-.', 'LineWidth', 2);
plot(resultsCEM_Diff_CEF.fptest_mean, resultsCEM_Diff_CEF.tptest_mean, 'b--', 'LineWidth', 2);
plot(resultsCEM_Diff.fptest_mean, resultsCEM_Diff.tptest_mean, 'r-', 'LineWidth', 2);
%legend('CEM_p', 'Diff', 'Stack', 'Location', 'SouthEast')
leg_str = { ['CEM_p AUC = ', num2str(aucISCAS, '%0.2f')], ...
            ['CEM_h AUC = ', num2str(aucDiffHVS, '%0.2f')], ...
            ['CEM_c AUC = ', num2str(aucDiffCEF, '%0.2f')], ...
            ['CEM_h_c AUC = ', num2str(aucDiff, '%0.2f')] };
legend(leg_str, 'Location', 'SouthEast');
set(gca, 'fontsize' , 12);
xlabel('False Positive Rate' , 'fontsize' , 12 , 'fontweight' , 'bold')
ylabel('True Positive Rate' , 'fontsize' , 12 , 'fontweight' , 'bold')
axis([0.05, 0.6 , 0.7 , 1])
set(gcf, 'Color', 'w');
grid on
%% I decided to only show this
%export_fig '../fig7b.pdf' -native -painters

end

function Helper(r1, r2, leg_str)
hold on
plot(r1.fptrain_mean, r1.tptrain_mean, 'k--', 'LineWidth', 2);
plot(r1.fptest_mean, r1.tptest_mean, 'r--', 'LineWidth', 2);
plot(r2.fptrain_mean, r2.tptrain_mean, 'k-', 'LineWidth', 2);
plot(r2.fptest_mean, r2.tptest_mean, 'r-', 'LineWidth', 2);
axis([0, 0.6 , 0.7 , 1.001])
legend(leg_str, 'Location', 'SouthEast');
set(gca, 'fontsize' , 12);
xlabel('False Positive Rate' , 'fontsize' , 12 , 'fontweight' , 'bold')
ylabel('True Positive Rate' , 'fontsize' , 12 , 'fontweight' , 'bold')
set(gcf, 'Color', 'w'); % Set background to white
grid on;
end