function [mos_screened conf_interval_out] = GetScreenedMOSidx(mhl_idx, hit_idx)

load Database_20120728

close all
%clc

MHL = 16;
HL = 28;

uavg = [];
S = [];
conf_interval = [];
kurts = [];
P = zeros(size(GetHitResults(DB,1,1)));
Q = P;
UserValues = [];
mu = [];

% computed from octave
% tinv((1-p)/2,34)
% where p is percentage confidence (i.e. 95%)
% and 34 is n-1 = number of observers minus 1
% 95% confidence interval
%t = 2.0322;
% 99% confidence interval
%t = 2.7284;
% ITU standard says to use 1.96
t = 1.96;

% Get overall stats, average, std, and kurtosis
% Store the user values too so that we can screen them
for m = 0:MHL-1
    for h = 0:HL-1
        r = GetHitResults(DB, m, h);
        UserValues = [UserValues; r];
        mu = [mu mean(r)];
        S = [S std(r)];
        
        if (m == mhl_idx)&&(h==hit_idx)
            conf_interval_out = t*std(r)/sqrt(length(r));
        end
        conf_interval = [conf_interval t*std(r)/sqrt(length(r))];
        % ITU standard defines the kurtosis as
        % m4 /( (m2)^2 )
        kurts = [kurts momentx(r,4)/(momentx(r,2)^2)];     
    end
end

% Process individual values for screening
for i=1:length(P)
    for k = 1:length(kurts)
        if (kurts(k) <= 4)&&(kurts(k) >= 2)
            % This is a normal distribution
            if UserValues(k, i) >= (mu(k)+2*S(k))
                P(i) = P(i) + 1;
            end
            if UserValues(k, i) <= (mu(k)-2*S(k))
                Q(i) = Q(i) + 1;
            end
        else
            % This data doesn't seem to be normal
            % so we need to use different thresholds
            if UserValues(k, i) >= (mu(k)+sqrt(20)*S(k))
                P(i) = P(i) + 1;
            end
            if UserValues(k, i) <= (mu(k)-sqrt(20)*S(k))
                Q(i) = Q(i) + 1;
            end
        end
    end
end

REJECTS = ((P+Q)/length(mu) > 0.05) & (abs( (P-Q)./(P+Q) ) < 0.3);

% Recompute values after screening
% Get overall stats, average, std, and kurtosis
% Store the user values too so that we can screen them
mu = [];

m = mhl_idx;
h = hit_idx;

r = GetHitResults(DB, m, h);
% Screen
r = r( ~REJECTS );

mu = [mu mean(r)];

mos_screened = mu;

end