function [idx_inab idx_outab] = HowManyMOSBetween(Fpool, a, b)
% How many mos values are between a and b?

mos = Fpool(:,1);
N = length(mos);
if b < a
    btemp = b;
    b = a;
    a = btemp;
end
idx_outab = 1:N;
idx_inab = find( (a <= mos) & (mos < b) );
if isempty(idx_inab)
    count = 0;
else
    count = length(idx_inab);
end

idx_outab(idx_inab) = [];


fprintf('There are %d / %d mos scores within %0.2f and %0.2f.\n', count, N, a, b);
fprintf('Or simply, %0.3f percent.\n', 100*count/N);