function m = proto01sub_imgout(im0)
% Inputs:
% im0 - original color image
% im1 - enhancement
% Output:
% metric for enhancement 1
%
% This measures the cos(theta) of
% the vector from orig-airlight and
% enhanced-airlight.
% True haze colors follow along the convex set mu-airlight.

im0 = im2double(im0);

[t, A] = drk_prior_mdcp(im0, 11);
h = fspecial('average', 11);

% Measure centroid ellipse shift direction
im0 = imfilter(im0, h, 'symmetric');
% create full image colored with airlight value
aimg = im0;
for c = 1:3
    aimg(:,:,c) = A(c);
end
% This is the vector subtended by im0 and im1
d0a = im0-aimg;
% smooth out errors
d0a = imfilter(d0a, h, 'symmetric');

[M N ~] = size(im0);
%ad10 = zeros(M,N);

norm_d0a = double(zeros(M,N))+eps;

for c = 1:3
    % accumulate dot product of
    % da1 and d01
    %ad10 = ad10 + d1a(:,:,c).*d0a(:,:,c);
    % get the norm value for d01
    norm_d0a = norm_d0a + d0a(:,:,c).^2;
    % get the norm value for da1
    %norm_d1a = norm_d1a + d1a(:,:,c).^2;
end
% Calculate the cosine value of the angle
% between d1a and d0a.
% If they are the same, the angle is 0, hence
% m will be 1.
% If they are very different, then m will be closer
% to zero
% m = 1; d1a = d0a
% m = 0; d1a \perp d0a
% m = -1; d1a is 180 degrees from d0a
%m = abs( ad10 ./ (sqrt(norm_d1a).*sqrt(norm_d0a)) );
m = sqrt(norm_d0a);
%m = sum(m(:))/(M*N);

end