function m = proto07sub(im0)
% Inputs:
% im0 - image input
% Outputs:
% m  - Tenengrad measure

im0 = im2double(im0);

Hh = fspecial('sobel');
Hv = Hh';

im0_dh = imfilter(im0, Hh, 'symmetric');
im0_dv = imfilter(im0, Hv, 'symmetric');


Ten0 = max( sqrt( im0_dh.^2 + im0_dv.^2 ), [], 3 );

m = sum(Ten0(:))/numel(Ten0);

end